<?php
/*************************************************************\
+-------------------------------------------------------------+
| 通灵佛教网在线烧香程序 System                                 |
| Copyright (c) 2003-2010 Alfred China                        |
| All rights reserved.                                        |
+-------------------------------------------------------------+
\*************************************************************/
require_once('chk.php');
$pagepermission = 53;
require_once('netgou.php');

$option = addslashes($option);

if ($REQUEST_METHOD=="POST") {

	foreach ($cfg as $key=>$value) {
		db_query ("UPDATE $sql_tbl[config] SET value='$value' WHERE name='$key'");
	}
	
	//updatecache_netgou();
	//updatecache_indexpro();
	//updatecache_indexfeature();	
	showmsg("操作成功","ng_config.php?option=$option");	
}

$ng_config = ng_query("select * from $sql_tbl[config] where category='$option' order by orderby");

$ng_obstart && function_exists('ob_gzhandler') ? ob_start('ob_gzhandler') : ob_start();
$ng_obstart ? $ng_gzip="Gzip enabled":$ng_gzip="Gzip disabled";

require_once PrintTemp('ng_config');
require_once "./footer.php";

$output=str_replace(array('<!--<!--<!---->','<!--<!---->','<!---->'),array('','',''),ob_get_contents());
ob_end_clean();
echo $output;
flush;
exit;
?>